<template>
    <div class="cont">
      <el-card class="u-post-card">
        <h5 class="c-title">我的粉丝</h5>
        <div class="card-cont">
            <el-row class="u-row" v-for="(user,index) in userList" :key="user.id">
                <el-col :span="4" style="padding-left: 10px;">
                    <el-avatar :size="70" :src="`/api/schoolCloud${user.avater}`" />
            </el-col>
            <el-col :span="16" class="u-cont">
            <div class="u-tatle">{{ user.uname }}</div>
            <div class="u-sign">
                {{ user.signature }}
            </div>
        </el-col>
        <el-col :span="4" style="padding-left: 10px;" class="flexs">
                <el-button :type="user.isAttr?'info':'primary'" round @click="upAttr(index)">{{user.isAttr?'已关注':'关注'}}</el-button>
            </el-col>
            </el-row>
            <!--  -->
        </div>

      </el-card>
    </div>
  </template>
  
  <script lang="ts" setup>
  import { onMounted, onBeforeUnmount, onUpdated, ref } from 'vue';
  import axios from 'axios';
  import qs from 'qs';
  import { reactive } from 'vue';
  import { useRoute, useRouter } from 'vue-router';
  const lunBoList = [
              'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
              'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
              'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
          ];
  onMounted(() => {
      geeAll();
          }
  );
  const geeAll=()=>{
      axios.post('/api/schoolCloud/pages/myCenter/selMyFans.php',qs.stringify({uid:localStorage.getItem("Userid")}))
          .then(res => {
            console.log('8888');
            console.log(res.data)  
            userList.value = res.data;    
              // 根据返回的响应数据进行相应的操作
              }).catch(err => {
              console.log(err)
              })
  }
  // $router.push('/postDeils')
  const userList = ref([
      {
      Phone: "18174462803",
      avater: "/assets/image/avater/avater1.jpg",
      city_id: "1",
      class: "213546",
      creat_time: "2023-05-18",
      id: "1",
      paw: "qq123124",
      pro_id: "15",
      school: "张家界航院",
      school_id: "2",
      sex: "男",
      signature: "时有好梦，亦怀爱意，向人间老去。",
      uname: "芹菜粉",
      user_type: "3",
      utype:'',
      postNum:0,
      collNum:0,
      replyNum:0,
      isAttr:true,
      }
  ]
)
// 改变关注状态
const upAttr = (index:number)=>{
    userList.value[index].isAttr = !userList.value[index].isAttr
    axios.post('/api/schoolCloud/pages/myCenter/canFans.php',qs.stringify({aid:userList.value[index].id,isAttr:userList.value[index].isAttr,uid:localStorage.getItem("Userid")}))
                    .then(res => {
                        console.log('9999'); 
                        }).catch(err => {
                        console.log(err)
                        })
  }
//   const router = useRouter();
//   const toPostDatail = (pid:number)=>{
//       router.push({ path: `/postDeils/${pid}` });
//   }
  </script>
  <style lang="less">
.cont{
    // padding: 10px;
    .u-post-card{
        .c-title{
            font-size: 20px;
            // font-weight: 700;
            padding-bottom: 10px ;
            border-bottom: 1px rgb(215, 215, 215) solid;
        }
        .card-cont{
            // padding: 10px;
            .u-row{
                padding: 10px 0;
                border-bottom: 1px #dedede solid;
            }
            .u-cont{
                padding-top: 10px;
                font-size: 18px;
                .u-sign{
                    padding-top: 10px;
                    color: #999;
                }
            }
        }
    }
}
  </style>